Move 10h16 files to skin folder
Closed, ResolvedPublic7.58 Story Points

Description

AC

  • Templates, CSS, and javascript from 10h16 skin are moved from app/ and web/ to skins/10h16, the build script is changed accordingly.
    • all assets (CSS, JS, img) from the web folder must be moved into the 10h16 skin folder and copied on build to web/skins/10h16/ (to make for a single source of truth in skins/)
    • careful, fundraising-frontent-content references some 10h16 resources (resolve!)
  • CSS, Javascript, and assets are web accessible in the web folder while the skins/ folder acts as the single source of truth (use build system)
  • app/ab_test/ is deleted

Background Info:
The contents of web/skins/ folders should be put into .gitignore, but the folder itself should be checked it, best with a README file that explains how contents get there.

Pablo-WMDE updated the task description. (Show Details)Aug 9 2017, 2:55 PM
Pablo-WMDE updated the task description. (Show Details)Aug 9 2017, 4:24 PM

@Pablo-WMDE please use no_phone as memebership application page

please make sure to update the standalone aswell. There shall be not phone number field in any used membership forms.

Pablo-WMDE updated the task description. (Show Details)Aug 22 2017, 11:44 AM

The description mentions "build script" and "build system". Does that refer to something that already exists or something that should be created?

"build script" and "build system" refer to package.json and npm, which contain a "build-js" task. For the proposed new system the simplest way to implement this would be to add a "copy-resources" task that copies the directories skin/10h16/_assets, skin/10h16/_js, skin/10h16/_styles to web/skin/10h16/_assets, web/skin/10h16/_js, web/skin/10h16/_styles. That task needs to be called from deployment/tasks/build.yml

So when this copy happens, I assume the old stuff in web/skin/__$stuff should first be deleted? And that stuff should not be .gitignored?

This happens during deployment, which creates a new folder for each release.

gabriel-wmde updated the task description. (Show Details)Sep 11 2017, 7:33 AM

@JeroenDeDauw Good point about the gitignore, I've added that to the description

JeroenDeDauw changed the point value for this task from 8 to 7.58.
gabriel-wmde moved this task from Todo to Doing on the WMDE-Fundraising-Sprint-10 board.
JeroenDeDauw updated the task description. (Show Details)
JeroenDeDauw updated the task description. (Show Details)

twig.loaders.filesystem.template-dir (app/config) must be skins/10h16/templates hereafter

gabriel-wmde closed this task as Resolved.

Deployed to prod.